rules:
  # Bronze
  action-setup:
    status: exempt
    comment: The integration registers no actions.
  appropriate-polling: done
  brands: done
  common-modules: done
  config-flow-test-coverage: done
  config-flow: done
  dependency-transparency: done
  docs-actions:
    status: exempt
    comment: The integration registers no actions.
  docs-high-level-description: done
  docs-installation-instructions: done
  docs-removal-instructions: done
  entity-event-setup:
    status: exempt
    comment: The integration registers no events.
  entity-unique-id: done
  has-entity-name: done
  runtime-data: done
  test-before-configure: done
  test-before-setup: done
  unique-config-entry: done

  # Silver
  action-exceptions:
    status: exempt
    comment: The integration registers no actions.
  config-entry-unloading: done
  docs-configuration-parameters:
    status: exempt
    comment: Integration has no configuration parameters
  docs-installation-parameters: done
  entity-unavailable: done
  integration-owner: done
  log-when-unavailable: done
  parallel-updates: done
  reauthentication-flow: done
  test-coverage: done

  # Gold
  devices: done
  diagnostics: done
  discovery-update-info:
    status: exempt
    comment: The integration is a web service, there are no discoverable devices.
  discovery:
    status: exempt
    comment: The integration is a web service, there are no discoverable devices.
  docs-data-update: done
  docs-examples: done
  docs-known-limitations: done
  docs-supported-devices:
    status: exempt
    comment: The integration is a web service, there are no devices.
  docs-supported-functions: done
  docs-troubleshooting: done
  docs-use-cases: done
  dynamic-devices:
    status: exempt
    comment: The integration is a web service, there are no devices.
  entity-category: done
  entity-device-class: done
  entity-disabled-by-default: done
  entity-translations: done
  exception-translations: done
  icon-translations: done
  reconfiguration-flow: done
  repair-issues:
    status: exempt
    comment: The integration has no repairs.
  stale-devices:
    status: exempt
    comment: The integration is a web service, there are no devices.

  # Platinum
  async-dependency: done
  inject-websession: done
  strict-typing: done
